trackerエラー

  • ページ: Tracker
  • 投稿者: kym?
  • 優先順位: 重要
  • 状態: 完了
  • カテゴリ:
  • 投稿日:
  • バージョン: 1.0.1

メッセージ

trackerを使ってToDoを作ろうとしていますがデフォルトのtracker でも下記エラーが出ます
Strict Standards: Declaration of Tracker_field_file::format_value() should be compatible with Tracker_field::format_value($value) in /export /pukiwiki_adv-101/wiki-common/plugin/tracker.inc.php on line 717

Warning: Cannot modify header information - headers already sent by (output started at /export/pukiwiki_adv-101/wiki-common/plugin/tracker.inc.php:717) in /export/pukiwiki_adv-101/wiki-common/lib/bad-behavior/screener.inc.php on line 9

    :~
    :

  • PHP5.4特有のエラーです。まだ、詳細は確認していませんが、tracker.inc.phpの701行目をfunction format_value()からfunction format_value($value)にすれば動くと思います。advではデフォルトでindex.phpのerror_reportingがE_STRICTになっているため、ここを緩和することでエラーは抑制できます。後半のbad-behaviorのエラーは無視しても問題ありません。 -- Logue?
  • ありがとうございました。 動きました -- kym?